针对conda环境中出现的ImportError: No module named easydict 问题,行之有效的解决方法

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/liuzhuomei0911/article/details/89785438

尝试过的解决方法:

$pip install easydict
  • 由于本人系统环境的混乱,这条命令导致python会到系统下、或者其他错误,所以对本人不适用
$conda install -c https://conda.binstar.org/auto easydict
  • 这条命令会无端的将本人的torch删掉,而且会将python版本自动降到2,因此对本人易无效

均无效后;

解决方案如下:

11、官网:link 下载easydict-1.9.tar.gz 文件;

22、本地解压文件:

$tar -xzvf easydict-1.9.tar.gz

33、在终端运行:

$python setup.py install --user

搞定。

展开阅读全文

ImportError: No module named '_pywrap_tensorflow_internal'

11-05

tensorflow==1.5.0 安装成功;继续安装gpu版本,按系统提示再安装 CUDA-9.0, cuDNN-7.0: cuda_9.0.176_win10_network以及patch1-4 / cudnn-9.0-windows10-x64-v7.3.1.20. 运行‘import tensorflow as tf’后报错: ImportError: No module named '_pywrap_tensorflow_internal'rnrn谢谢帮助rnrn ---------------------------------------------------------------------------rnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 17 try:rn---> 18 return importlib.import_module(mname)rn 19 except ImportError:rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _gcd_import(name, package, level)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load_unlocked(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _load_unlocked(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in module_from_spec(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap_external.py in create_module(self, spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _call_with_frames_removed(f, *args, **kwds)rnrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 57 rn---> 58 from tensorflow.python.pywrap_tensorflow_internal import *rn 59 from tensorflow.python.pywrap_tensorflow_internal import __version__rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in ()rn 20 return importlib.import_module('_pywrap_tensorflow_internal')rn---> 21 _pywrap_tensorflow_internal = swig_import_helper()rn 22 del swig_import_helperrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 19 except ImportError:rn---> 20 return importlib.import_module('_pywrap_tensorflow_internal')rn 21 _pywrap_tensorflow_internal = swig_import_helper()rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnImportError: No module named '_pywrap_tensorflow_internal'rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rn in ()rn----> 1 import tensorflow as tfrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\__init__.py in ()rn 22 rn 23 # pylint: disable=wildcard-importrn---> 24 from tensorflow.python import *rn 25 # pylint: enable=wildcard-importrn 26 rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\__init__.py in ()rn 47 import numpy as nprn 48 rn---> 49 from tensorflow.python import pywrap_tensorflowrn 50 rn 51 # Protocol buffersrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 72 for some common reasons and solutions. Include the entire stack tracern 73 above this error message when asking for help.""" % traceback.format_exc()rn---> 74 raise ImportError(msg)rn 75 rn 76 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-longrnrnImportError: Traceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helperrn return importlib.import_module(mname)rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rn File "", line 986, in _gcd_importrn File "", line 969, in _find_and_loadrn File "", line 958, in _find_and_load_unlockedrn File "", line 666, in _load_unlockedrn File "", line 577, in module_from_specrn File "", line 906, in create_modulern File "", line 222, in _call_with_frames_removedrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnTraceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in rn from tensorflow.python.pywrap_tensorflow_internal import *rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in rn _pywrap_tensorflow_internal = swig_import_helper()rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helperrn return importlib.import_module('_pywrap_tensorflow_internal')rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rnImportError: No module named '_pywrap_tensorflow_internal'rnrnrnFailed to load the native TensorFlow runtime.rnrnSee https://www.tensorflow.org/install/install_sources#common_installation_problemsrnrnfor some common reasons and solutions. Include the entire stack tracernabove this error message when asking for help. 问答

importError No module named multiarry

05-28

在terminal输入python后,执行命令报错:rn [code=python]rn import numpyrn import picklern import numpy.core.multiarrayrn data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27','rb'))[/code]rn报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrn rn [code=python]data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27','r'))[/code]rn报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrn rn [code=python] data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27'))[/code]rn继续报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrnrnrn在终端输入,感觉不存在编码问题;换了个机子用本机自带的python27运行报同样的错误!rnrn[color=#0000FF][b][size=16px]有没有哪位大神趟过相同的坑,恳请指教!至今没有解决问题~~~[/size][/b][/color]rnrn 论坛

没有更多推荐了,返回首页